Package com.io7m.idstore.server.controller.command_exec

# Class IdCommandExecutionFailure

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.server.controller.command_exec.IdCommandExecutionFailure

All Implemented Interfaces:
  `Serializable`

public final class IdCommandExecutionFailure extends Exception
A failure to execute a command.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdCommandExecutionFailure(String message, Throwable cause, UUID inRequestId, int inHttpStatusCode, IdErrorCode inErrorCode)`
  Construct an exception.
  `IdCommandExecutionFailure(String message, UUID inRequestId, int inHttpStatusCode, IdErrorCode inErrorCode)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdErrorCode`
  `errorCode()`
  `int`
  `httpStatusCode()`
  `UUID`
  `requestId()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdCommandExecutionFailure

    public IdCommandExecutionFailure(String message, UUID inRequestId, int inHttpStatusCode, IdErrorCode inErrorCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status code
      `inErrorCode` - The error code

  - ### IdCommandExecutionFailure

    public IdCommandExecutionFailure(String message, Throwable cause, UUID inRequestId, int inHttpStatusCode, IdErrorCode inErrorCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status code
      `inErrorCode` - The error code

- ## Method Details

  - ### requestId

    public UUID requestId()
    Returns:
      The request ID

  - ### httpStatusCode

    public int httpStatusCode()
    Returns:
      The HTTP status code

  - ### errorCode

    public IdErrorCode errorCode()
    Returns:
      The error code